SoulFire LogoSoulFire

Delete user plugin permission grant

Removes one explicit override so the plugin permission's default grant policy applies again.

DELETE
/v1/users/{user_id}/plugin-permissions/{permission_id}

Removes one explicit override so the plugin permission's default grant policy applies again.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

user_id*string
Formatuuid
permission_id*string

Query Parameters

scope*string

The scope in which a plugin permission is evaluated.

Value in

  • "PLUGIN_PERMISSION_SCOPE_UNSPECIFIED"
  • "PLUGIN_PERMISSION_SCOPE_GLOBAL"
  • "PLUGIN_PERMISSION_SCOPE_INSTANCE"
  • "PLUGIN_PERMISSION_SCOPE_BOT"
  • "PLUGIN_PERMISSION_SCOPE_TASK"
resource_id?|
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/plugin-permissions/string?scope=PLUGIN_PERMISSION_SCOPE_UNSPECIFIED"
{}

How is this page?